%define upstream_name    Test-Run-CmdLine
%define upstream_version 0.0125

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Command line front-end for Test-Run
License:    MIT
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

# These Requirs are not detected automatically, so we need to add them manually.
Requires:   perl(MooseX::Getopt::Basic)
Requires:   perl(MooseX::Getopt)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Getopt) >= 0.260.0
BuildRequires: perl(MooseX::Getopt::Basic)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Run::Core) >= 0.12.600
BuildRequires: perl(Test::Trap)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(YAML::XS)
BuildArch:  noarch

%description
This is a module implementing a standalone command line application. It was
created to replace the use of the 'runprove' executable which is not always
installed or available in the path.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/runprove

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.12.500-3.mga4
+ Revision: 515254
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.12.500-2.mga3
+ Revision: 373772
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 shlomif <shlomif> 0.12.500-1.mga3
+ Revision: 289241
- update to 0.0125

* Wed Aug 01 2012 shlomif <shlomif> 0.12.300-2.mga3
+ Revision: 277570
- Add missing requires

* Wed Aug 01 2012 shlomif <shlomif> 0.12.300-1.mga3
+ Revision: 277448
- Add a missing BR
- Update the license
- Fix the summary
- imported package perl-Test-Run-CmdLine


* Sat Aug 29 2009 cpan2dist 0.0120-1mdv
- initial mdv release, generated with cpan2dist
